import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizuservideo/` + url, ...arg)

/**
 * 用户视频关联表Api接口管理器
 *
 * @author fanzherong
 * @date  2025/02/17 16:03
 **/
export default {
	// 获取用户视频关联表分页
	bizUserVideoPage(data) {
		return request('page', data, 'get')
	},
	// 获取用户视频关联表列表
	bizUserVideoList(data) {
		return request('list', data, 'get')
	},
	// 提交用户视频关联表表单 edit为true时为编辑，默认为新增
	bizUserVideoSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除用户视频关联表
	bizUserVideoDelete(data) {
		return request('delete', data)
	},
	// 获取用户视频关联表详情
	bizUserVideoDetail(data) {
		return request('detail', data, 'get')
	},
	biaUserVideoList(data){
		return request('list',data,'get')
	}
}
